NOPMDCAdapter (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.helpers

## Class NOPMDCAdapter

- java.lang.Object
- - org.slf4j.helpers.NOPMDCAdapter

- All Implemented Interfaces:
    MDCAdapter

      public class NOPMDCAdapter
      extends Object
      implements MDCAdapter

  This adapter is an empty implementation of the `MDCAdapter` interface. It is used for all logging systems which do not support mapped diagnostic contexts such as JDK14, simple and NOP.
  Since:
    1.4.1
  Author:
    Ceki Gülcü

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NOPMDCAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all entries in the MDC.
    `String` | `get(String key)` Get the context identified by the `key` parameter.
    `Map<String,String>` | `getCopyOfContextMap()` Return a copy of the current thread's context map, with keys and values of type String.
    `void` | `put(String key, String val)` Put a context value (the `val` parameter) as identified with the `key` parameter into the current thread's context map.
    `void` | `remove(String key)` Remove the the context identified by the `key` parameter.
    `void` | `setContextMap(Map<String,String> contextMap)` Set the current thread's context map by first clearing any existing map and then copying the map passed as parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NOPMDCAdapter

          public NOPMDCAdapter()

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from interface: `MDCAdapter`
      Clear all entries in the MDC.
      Specified by:
        `clear` in interface `MDCAdapter`

    - #### get

          public String get(String key)

      Description copied from interface: `MDCAdapter`
      Get the context identified by the `key` parameter. The `key` parameter cannot be null.
      Specified by:
        `get` in interface `MDCAdapter`
      Returns:
        the string value identified by the `key` parameter.

    - #### put

          public void put(String key,
                 String val)

      Description copied from interface: `MDCAdapter`
      Put a context value (the `val` parameter) as identified with the `key` parameter into the current thread's context map. The `key` parameter cannot be null. The `val` parameter can be null only if the underlying implementation supports it.

      If the current thread does not have a context map it is created as a side effect of this call.

      Specified by:
        `put` in interface `MDCAdapter`

    - #### remove

          public void remove(String key)

      Description copied from interface: `MDCAdapter`
      Remove the the context identified by the `key` parameter. The `key` parameter cannot be null.

      This method does nothing if there is no previous value associated with `key`.

      Specified by:
        `remove` in interface `MDCAdapter`

    - #### getCopyOfContextMap

          public Map<String,String> getCopyOfContextMap()

      Description copied from interface: `MDCAdapter`
      Return a copy of the current thread's context map, with keys and values of type String. Returned value may be null.
      Specified by:
        `getCopyOfContextMap` in interface `MDCAdapter`
      Returns:
        A copy of the current thread's context map. May be null.

    - #### setContextMap

          public void setContextMap(Map<String,String> contextMap)

      Description copied from interface: `MDCAdapter`
      Set the current thread's context map by first clearing any existing map and then copying the map passed as parameter. The context map parameter must only contain keys and values of type String.
      Specified by:
        `setContextMap` in interface `MDCAdapter`
      Parameters:
        `contextMap` - must contain only keys and values of type String

Copyright © 2005–2017 QOS.ch. All rights reserved.